gnutls_x509_spki_set_rsa_pss_params(3)

NAME
gnutls_x509_spki_set_rsa_pss_params - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_x509_spki_set_rsa_pss_params(gnutls_x509_spki_t spki, gnutls_digest_algorithm_t dig, unsigned int salt_size);

ARGUMENTS

gnutls_x509_spki_t spki
    the SubjectPublicKeyInfo structure

gnutls_digest_algorithm_t dig
    a digest algorithm of type gnutls_digest_algorithm_t

unsigned int salt_size
    the size of salt string

DESCRIPTION
This function will set the public key parameters for an RSA-PSS algorithm, in the SubjectPublicKeyInfo structure.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/